## javax.faces.convert
Class DoubleConverter

    java.lang.Object
      javax.faces.convert.DoubleConverter

All Implemented Interfaces:
  Converter

public class DoubleConverter
extends java.lang.Object
implements Converter

Version:
  $Revision: 265611 $ $Date: 2005-08-31 21:05:16 -0400 (Wed, 31 Aug 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: oros $)

Field Summary
`static java.lang.String` `CONVERTER_ID`

Constructor Summary
`DoubleConverter()`

Method Summary
`java.lang.Object` `getAsObject(FacesContext facesContext, UIComponent uiComponent, java.lang.String value)`
`java.lang.String` `getAsString(FacesContext facesContext, UIComponent uiComponent, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONVERTER_ID

    public static final java.lang.String CONVERTER_ID

See Also:
  Constant Field Values

Constructor Detail

### DoubleConverter

    public DoubleConverter()

Method Detail

### getAsObject

    public java.lang.Object getAsObject(FacesContext facesContext,
                                        UIComponent uiComponent,
                                        java.lang.String value)

  Specified by:
    `getAsObject` in interface `Converter`

### getAsString

    public java.lang.String getAsString(FacesContext facesContext,
                                        UIComponent uiComponent,
                                        java.lang.Object value)

  Specified by:
    `getAsString` in interface `Converter`